MFA
POST
bearerAuthheader
AuthorizationBearer <JWT>TOTP-Konfiguration
application/json- response
secret?stringotpauthUrl?stringqrCodeDataUrl?stringcurl -X POST 'https://example.com/api/v1/auth/mfa/totp/setup'Example Response200
{ "secret": "string", "otpauthUrl": "string", "qrCodeDataUrl": "string"}POST
bearerAuthheader
AuthorizationBearer <JWT>application/json- body
code*stringMatch
^[0-9]{6}$TOTP aktiviert
curl -X POST 'https://example.com/api/v1/auth/mfa/totp/verify' \ -H 'Content-Type: application/json' \ -d '{ "code": "string"}'Example Response200
Empty
DELETE
bearerAuthheader
AuthorizationBearer <JWT>TOTP deaktiviert
curl -X DELETE 'https://example.com/api/v1/auth/mfa/totp'Example Response204
Empty